<template>
    <div id="home" v-loading.fullscreen="isshow" :element-loading-text="istype"
    element-loading-spinner="el-icon-loading"
    element-loading-background="rgba(0, 0, 0, 0.8)">
        <!-- <div class="bigbox" v-for="(item,index) in datalist" :key="index"> -->
             <div class="box" v-for="(item,index) in datalist" :key="index">
            <div class="top">
                <img class="image1" src="../../assets/four.png">&nbsp;
                <div class="center">
                    <p class="text">{{item.Name}}</p>
                </div>
                <img :src="item.collectionstatus=='已收' ? imgurl1:imgurl2" alt="" :class="item.collectionstatus=='已收'? 'image2':'image3'">
            </div>
            <div class="list">
                <li style="color:red;">收款金额:&nbsp;{{item.CurrencyIsoCode}}&nbsp;{{item.Amount}}</li>
                 <li style="color:red;">发票状态:&nbsp;{{item.invoicestatus}}</li>
               
                <li>开票时间:&nbsp;{{item.Expectedinvoicedate}}</li>
                <li>收款时间:&nbsp;{{item.Expectedcollectiondate}}</li>
               <li>收款人:&nbsp;{{item.Contract_OwnerName}}</li>
                <li>收款事业部:&nbsp;{{item.ReceiptDepartment}}</li>
                <li style="width:100%; height:auto; line-height:0.5rem; padding-top:0.2rem; padding-bottom:0.2rem;">合同名称:&nbsp;{{item.contractName}}</li>
                <li style="width:100%; height:auto; line-height:0.5rem; padding-top:0.2rem; padding-bottom:0.2rem;">收款条件:&nbsp;{{item.Field4}}</li>
            </div>
        </div>

       
        <el-dialog
            title="提示"
            :visible.sync="issave"
            width="90%"
            height="20vh"
           >
            <span style="margin:0 auto; width:20%;">{{word}}</span>
            <span slot="footer" class="dialog-footer">
                <el-button style="background:#5C77A0; color:white;" @click="sureback()">确 定</el-button>
            </span>
        </el-dialog>
    </div>
</template>
<script>
import format from '../../utils/format.js';
export default {
    data(){
        return{
            isshow:false,
            istype:'',
            datalist:[],
            issave:false,
            word:'',
            imgurl1:require('../../assets/xiaoqi.png'),
            imgurl2:require('../../assets/ds.png')
        }
    },
    methods:{
        sureback(){
            this.issave=false;
        }
    },
    created(){
         let that=this;
        that.isshow=true;
        that.istype='加载中';
         client.apexrest('/rest/ProjectCollectionDetail?Pid='+that.$route.query.id,function(data){
                  console.log(data);
                  that.isshow=false;
                  if(data.Message=="Success"){
                      if(data.conlist.length>0){
                          that.datalist=data.conlist;
                          that.datalist.filter((val,index)=>{
                              val.Amount=format(val.Amount);
                            // val.conlist.filter((val,index)=>{
                            //         val.Amount=format(Number(val.Amount));
                            // })
                              
                            //  val.SalesPurchaseCost__c=format(val.SalesPurchaseCost__c);
                          })
                      }else{
                          that.issave=true;
                          that.word="无数据";
                      }
                  }else{
                      console.log(data.Message);
                      that.issave=true;
                      that.word=data.Message;
                  }
                },function(error){
                  that.isshow=false;
                  console.log(error);
                  that.issave=true;
                  that.word=error;
                },'GET',null,true)
    }
}
</script>
<style lang="scss" type="text/scss" scoped>
    #home{
        width:100%;
        margin: 0 auto;
    }
    #home .bigbox{
        height: auto;
        margin-top: 0.2rem;
    }
    #home .box{
        width: 100%;
        margin:0 auto;
        // height: 7rem;
        background: white;
        box-shadow: 0.02rem 0.02rem #eeeeee;
        // border-radius: 0.2rem;
        margin-bottom: 0.2rem;
       
    }
    #home .box .top{
        width: 100%;
       height: auto;
        // align-items: center;
        margin:0 auto;
        display: flex;
         align-items:center;
        // border-radius: 0.2rem 0.2rem 0 0;
        /* justify-content: space-between; */
        line-height: 1rem; 
         background: #CFDCEF;
        border-bottom: 0.02rem solid lightgray;
    }
    #home .box .top .center{
        width:78%;
    }
    #home .box .top .center .text{
        width:100%;
        // overflow: hidden;
        // text-overflow:ellipsis;
        // white-space: nowrap;
        height: auto;
    }
     #home .box .top .image1{
         width: 0.6rem;
         height: 0.6rem;
        //  margin-top: 0.1rem;
         margin-left: 0.2rem;
     }
     #home .box .top .image2{
         width: 0.6rem;
         height: 0.6rem;
        //  margin-left: 28%;
        margin-right: 1%;
        //  margin-top: 0.15rem;
     }
      #home .box .top .image3{
         width: 1.6rem;
         height: 0.6rem;
        //  margin-left: 28%;
        margin-right: -6%;
        //  margin-top: 0.15rem;
     }
     #home .box .top .text{
         height: auto;
         line-height: 0.5rem;
        //  padding-top: 0.35rem;
         color: gray;
         font-size: 0.34rem;
         /* line-height: 0.5rem; */

     }
      #home .box .top .text:nth-child(2){
          font-size: 0.24rem;
          padding-top: 0.5rem;
      }
     /* #home .box .top h5{
         font-size: 0.28rem;
         color: gray;
     } */
      #home .box .list{
           width: 95%;
        margin:0 auto;
        display: flex;
        flex-wrap: wrap;
      }
     #home .box .list li{
         width:49%;
         margin-left: 1%;
         height: 1rem;
         line-height: 1rem;
         font-size: 0.28rem;
         color: gray;
         border-bottom: 0.02rem solid #eeeeee;
     }
</style>

